wiki:Mac

UltraScan Installation instructions for Mac OSX 10.4/10.5/10.6

Prerequisites

  • Apple X11
  • Mac OSX 10.4, 10.5 or 10.6
  • At least 512MB of memory
  • G3/G4/G5 or Intel processors

Installation

  • Mac 10.6
    • The installation process is the same as 10.5.
  • Mac 10.5
    • Once you have finished downloading the compressed Disk Image, it will be automatically uncompressed and mounted on the Desktop.
    • Click and Drag the UltraScan application to the /Applications folder.
    • Click and Drag the UltraScan Launcher application to your Desktop.
    • Double click on UltraScan Launcher from the Desktop to start the program. If a valid registration file is not available, you will need to retrieve a license from http://www.ultrascan.uthscsa.edu/register.html and a registration file will be sent to your e-mail. This file has an attachment, which you can download into a suitable folder on your computer. Use the "Email Import" feature to import this file into the registration dialog and save. Close the registration dialog and restart UltraScan.
  • Mac 10.4
    • Click and Drag Ultrascan to the /Applications folder.
    • Click and Drag UltraScan Launcher to your Desktop.
    • To run Ultrascan, double click the Desktop icon UltraScan Launcher.
  • Known Problems with Macintosh:
    • 10.4 users should only download and use the 10.4 version.
    • UltraScan will only start from the /Applications folder. It will not work if placed on the Desktop
    • The very first time UltraScan is launched, it will take 45-60 seconds (in some cases longer) before the splash screen is displayed.
    • Download only the version for the MacOS version you have. 10.4 will not work on 10.5 and vice versa for all versions.
    • For compatibility reasons, the 10.6 version is 32bit which will still work on newer Macs with the Intel Core2 Duo processor. If you have a need for a native 64bit version, please contact Jeremy Mann and request a 64bit Mac version.
    • This fix was provided by Patrick Fleming for OSX 10.5.8: The RASMOL program would crash unless the following link was installed:

cd /usr/X11R6/lib

sudo ln -s /usr/lib/libexpat.1.dylib libexpat.0.dylib

Thanks, Patrick!

Last modified 8 years ago Last modified on Mar 23, 2011 12:37:23 PM